Subject: Re: bug#10593: 24.0.92; package.el doesn't initialize dependencies when installing

From: Chong Yidong <[email-masked]>
Date: Sat, 28 Jan 2012 16:14:23 +0800

Donald Ephraim Curtis <[email-masked]> writes:

> I am attempting to install the package "clojurescript-mode" which
> depends on "clojure-mode" using package.el.  clojurescript-mode properly
> cites clojure-mode as a dependency and in the source does a (require
> 'clojure-mode).  However, inside `package-download-transaction' there is
> never a call to `package-initialize' or any other function to actually
> add the newly installed `clojure-mode' to the load-path.  It ends up in
> this case that everything turns out fine, but there are other cases
> where multiple levels of dependencies exist and a simple (require '...)
> causes breakage.  I am able to reproduce this with the `rinari' package
> that installs from packages in Marmalade and Tromey's repository.
>
> If this is a bug in the packages, I'd be happy to trace it down, but
> changing `package-download-transaction' as follows fixed my problem

Thanks for the bug report.  I've committed a different fix to the
version of package.el in the Emacs trunk.